"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _nodeFetch = _interopRequireDefault(require("node-fetch"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const callReplicate = async (pool, events, secretsToSet, secretsToDelete, iterator) => {
  const data = {
    events,
    secretsToSet,
    secretsToDelete,
    iterator
  };
  const response = await (0, _nodeFetch.default)(`${pool.targetApplicationUrl}/api/replicate`, {
    method: 'POST',
    body: JSON.stringify(data),
    headers: {
      'Content-Type': 'application/json'
    }
  });
  let resultType = 'unknown';

  if (response.status === 425) {
    resultType = 'alreadyInProgress';
  } else if (response.status === 202 || response.status === 200) {
    resultType = 'launched';
  }

  return {
    type: resultType,
    httpStatus: response.status
  };
};

var _default = callReplicate;
exports.default = _default;
//# sourceMappingURL=call-replicate.js.map